=== debian/changelog ===
juju-core (2.3.7-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1766415)

 -- Christopher Lee <chris.lee@canonical.com>  Tue, 24 Apr 2018 11:27:26 -0400

juju-core (2.3.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1744968)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 26 Jan 2018 11:58:14 -0500

juju-core (2.3.1-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Tue, 12 Dec 2017 14:41:40 -0500

juju-core (2.2.6-0ubuntu0.16.04.3) xenial; urgency=medium

  * Only juju 2.3+ supports cidr expansion for no proxy, fix for 2.2

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 16 Nov 2017 13:47:50 -0500

juju-core (2.2.6-0ubuntu0.16.04.2) xenial; urgency=medium

  * Add no_proxy for lxd subnet in support of adt tests

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 09 Nov 2017 11:24:07 -0500

juju-core (2.2.6-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)
  * Simplify use of embedded dependencies
  * Remove DH_VERBOSE=1
  * Ensure juju bootstrap succeeds with bionic in distro-info-data (LP: #1727355)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 26 Oct 2017 14:49:02 -0400

juju-core (2.2.4-0ubuntu0.16.04.2) xenial; urgency=medium

  * Fix installation of bash completion scripts. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 25 Oct 2017 10:07:53 +1300

juju-core (2.2.4-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)
  * Remove debian/patches/CVE-2017-9232.patch, included upstream.
  * Improved support for mixing vendored and archive dependencies.
  * Killed old code for building on saucy, precise and with gccgo.
  * Embed Go 1.8.3 as upstream no longer builds with Go 1.6.
  * Switch golang.org/x/crypto dependency to vendorized.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 29 Sep 2017 10:01:07 -0400

juju-core (2.0.2-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 25 May 2017 17:09:11 -0700

juju-core (2.0.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * Backport upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages

 -- Curtis C. Hovey <curtis@hovey.name>  Thu, 15 Dec 2016 18:07:37 +0000

juju-core (2.0.0-0ubuntu0.16.04.2) xenial; urgency=medium

  * DPKG_MAINTSCRIPT_ARCH doesn't work in .config, use dpkg check (LP: #1614969)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Mon, 31 Oct 2016 15:55:49 -0400

juju-core (2.0.0-0ubuntu0.16.04.1) xenial-proposed; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0.0 (LP: #1617440)
  * Disable future manual provider test (LP: #1629376)
  * Add sysctl files for lxd provider (LP: #1631038)
  * Juju can interact with LXD > 2.0 (LP: #1614559) 
  * Change LXD to depends to ensure autopkgtest run on LXD upload (LP: #1614724)
  * d/copyright updated for 2.0.0 vendored packages.
  * Update bootstrap order for autpopkgtests for juju cli changes
  * Display debconf note upon install or upgrade for unsupported architectures
  * Skip autopkgtests on unsupported arches
  * Fix lxd-provider test to utilize *_proxy settings and provide additional info
  * Add template and config files for debconf messaging
  * Remove all quilt patches
  * Add upstream signing key
  * Update watch file to point to lp.net/juju to reflect project move
  * Add po-debconf dependency for template translation support

  [ Mathieu Trudel-Lapierre ]
  * debian/*.postinst: use DPKG_MAINTSCRIPT_ARCH to detect architectures
  * debian/control: Depends on golang-golang-x-crypto-dev 
    (>= 1:0.0~git20161012.0.5f3178)

  [Curtis Hovey]
  * d/t/setup-lxd.sh support lxd 2.0 and 2.3 network configuration in tests

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Thu, 20 Oct 2016 15:28:12 +0200

juju-core (2.0~beta15-0ubuntu2.16.04.1) xenial-proposed; urgency=medium

  * Restore all arches to building
  * Apply patch for powerpc build 
  * Re-add jujud to package (LP: #1608538)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 18 Aug 2016 10:08:34 -0400

juju-core (2.0~beta15-0ubuntu1.16.04.1) xenial-proposed; urgency=medium

  * New upstream release 2.0-beta15 (LP: #1613718)
  * Update debian/copyright
  * Re-enable current-manual-provider test
  * Remove jujud from package
  * Remove golang-juju-loggo-dev dependency temporarily (LP: #1612713)

 -- Nicholas Skaggs <nicholas.skaggs@canonical.com>  Fri, 12 Aug 2016 10:08:34 -0400
