=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               distro-info,
               golang-github-bmizerany-pat-dev,
               golang-go (>= 2:1.6),
               golang-go-dbus-dev,
               golang-gopkg-tomb.v2-dev,
               lsb-release,
               po-debconf,
               python
Standards-Version: 3.9.7
Homepage: http://launchpad.net/juju-core
Xs-Go-Import-Path: github.com/juju/juju
Testsuite: autopkgtest

Package: juju-2.0
Architecture: any
Depends: distro-info, lxd, ${misc:Depends}, ${shlibs:Depends}
Recommends: bash-completion
Breaks: juju-core (<= 1.25.4)
Conflicts: juju2, juju-core2
Replaces: juju2, juju-core2
Built-Using: ${misc:Built-Using}
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This package provides the client application of creating and interacting
 with Juju environments.

Package: juju
Architecture: all
Depends: juju-2.0 (>= ${source:Version}), ${misc:Depends}
Suggests: juju-core
Description: next generation service orchestration system
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package providing the current version of Juju.
