=== debian/watch ===
version=3
opts="uversionmangle=s/^1://;s/-/~/" \
 https://launchpad.net/juju/+download https://launchpad.net/juju/.*/.*/.*/juju-core_(.*)\.tar\.gz
opts=pgpsigurlmangle=s/$/.asc/ \
 https://launchpad.net/juju/+download https://launchpad.net/juju/.*/.*/.*/juju-core_(.*)\.tar\.gz
